/*-------------------------------------------------------------------
*	CSS structure de la page
* -----------------------------------------------------------------*/
body {
	padding:0;
	margin:0;
	width: 100vw;
	height: 100vh;
}

.flexbox-parent {
	width: 100%;
	height: 99%;

	display: flex;
	flex-direction: column;

	justify-content: flex-start; /* align items in Main Axis */
	align-items: stretch; /* align items in Cross Axis */
	align-content: stretch; /* Extra space in Cross Axis */
}

#part_header { /* barre qui contient les boutons de deconec et tt */
	flex: 0 1 55px;
	/* The above is shorthand for:
  		flex-grow: 0,
  		flex-shrink: 1,
  		flex-basis: 55px */
	margin: 0;
}

#part_header.financier {
	background-image: linear-gradient(to top, #FAFAFA , #B7D9B8);
}

#part_header.document {
	background-image: linear-gradient(to top, #FAFAFA, #B2DAFF);
}

#part_header.personne {
	background-image: linear-gradient(to top, #FAFAFA , #E1868F);
}

#part_header.parametre {
	background-color: #B2DAFF;
	background-image: linear-gradient(to top, #FAFAFA , #E1868F);
}

#part_header.messagerie { /* barre qui contient les boutons de deconec et tt */
	background-image: linear-gradient(to top, #FAFAFA , #90ADD3);
}

#part_header.outils { /* barre qui contient les boutons de deconec et tt */
	background-image: linear-gradient(to top, #FAFAFA , #E1868F);
}

#part_header.locaux { /* barre qui contient les boutons de deconec et tt */
	background-image: linear-gradient(to top, #FAFAFA , #F8D28C);
}

#part_header.ftp { /* barre qui contient les boutons de deconec et tt */
	background-image: linear-gradient(to top, #FAFAFA , #7C7C7C);
}

#part_header.reserve { /* barre qui contient les boutons de deconec et tt */
	background-image: linear-gradient(to top, #FAFAFA , #C8A897);
}

#part_center { /*	background-color:#FFDDBB;*/
	margin-left: 0;
	min-width: 900px;
	display: flex;
	flex: 1;
	/* The above is shorthand for:
  		flex-grow: 1,
  		flex-shrink: 1,
  		flex-basis: auto */
}

#part_center,#part_center_contenu {
	min-height: 500px;
}

#part_footer {
	flex-grow: 0;
	flex-shrink: 1;
	flex-basis: 0px;
	/* The above is shorthand for:
  		flex-grow: 0,
  		flex-shrink: 1,
  		flex-basis: 55px */
	clear: left;
	border: 0px solid black;
}

.part_footer_expanded {
	flex-basis: 150px !important;
}

#part_footer table {
 	border-collapse:collapse;
	width: 100%;
	padding: 5px 0px;
	cellspacing: 0;
 	border:1px solid black;
}
#part_footer table td {
 	border-right:1px solid black;
}

/*-------------------------------------------------------------------
*	Detail de la page
* -----------------------------------------------------------------*/
	/* ---------------- HEADER -------------------- */
#part_header_biseau {
	height: 19px;
	border-bottom: 1px solid black;
}

#part_header_bandeau {
	height: 56px;
}

#part_header_sousbandeau {
	border-bottom: 0px;
}

#part_header_sousbandeau #menuEtDeco td {
	padding: 0px 0px 5px;
}

#part_header_sousbandeau form { /*	height: 35px;*/
	margin: 0px;
}


#part_logo_accueil {
/*	background-image: url(images/logo1.png);*/
	height: 60px;
	margin : 50px 0px 20px ;
	background-image: url(images/logo4.png);
	background-image: url(images/logo4_h32.png)\9;		/* specific ie8 : http://webdesignerwall.com/tutorials/css-specific-for-internet-explorer */
	background-repeat: no-repeat;
	background-size: contain;
	background-position:center;
}

#logo_bandeau {

	width: 122px;
	height: 56px;
	background-image: url(images/logo2.jpg);
	background-repeat: no-repeat;
	z-index: 1000;
	display:block;
}

/* -------------------------------------------- */
#part_choixmodule { /*background-color:green;*/
	margin-left: 20px;
	width: 185px;
}

#part_choixlangue img,#part_changementsite img,#part_choixmodule img {
	vertical-align: middle;
}

#part_choixlangue { /*background-color:pink;*/
	align: right;
}

#part_changementsite { /*background-color:yellow;*/
	/*text-align: right;*/
	float: right;
}

#part_deconnexion { /*background-color:red;*/
	margin-right: 3px;
	float: right;
	margin-left: 3px;
}

/* -------------------------------------------- */
#part_header_menu {
	border-bottom: 0px;
	clear: left;
}

#calq_demandeImpr {
	text-align: right;
	float: right;
	margin-right: 15px;
}

@media screen , print {
	#calq_imp {
		position: absolute;
		right: 0;
		top: 0;
		text-align: right;
		background-color: #EFEFEF;
		padding: 15px 15px 15px 15px;
		margin: 5px;
		border: 1px solid black;
	}
	#calq_imp p {
		margin: 2px;
	}
}

@media print {
	#calq_imp {
		visibility: hidden;
	}
}

/* ----------------- CENTER ------------------- */
#part_center_menu,#part_center_contenu {
	padding: 8px 0 20px 0px;
}

#part_center_menu {
	float: left;
	height: auto !important;
	margin-left: 0px;
}

#part_center_contenu { /*background-color:yellow;*/
	display: flex;
	flex-direction: column;
	flex: 1; /* same as flex: 1 1 auto; */
	/* The above is shorthand for:
  		flex-grow: 1,
  		flex-shrink: 1,
  		flex-basis: auto */
}

/* ----------------- FOOTER ------------------- */
#part_footer_biseau {
	clear: both;
}

#part_footer_biseau,#part_footer_biseau a,#part_footer_biseau a:hover {
	height: 24px;
	color: #ffcc00;
	font-weight: bold;
	text-align: center;
}

#part_footer_biseau a {
	color: white;
	text-decoration: none;
}

/* ------------ CSS D'IMPRESSION -------------- */
.showImpression {
	margin-left: 0px !important;
	border: 0px !important;
}

/*-------------------------------------------------------------------
*	Images
* -----------------------------------------------------------------*/
#part_header_biseau {
	background-image: url(images/fondBiseauBleu2.gif);
	height:5px;
}

#part_header_bandeau {
	background-image: url(images/bandeau.jpg);
}

#part_footer_biseau {
	background: #3a75c3 url(images/fondBiseauBleu.gif) repeat-x;
}

/*-------------------------------------------------------------------
*	Particularit�s
* -----------------------------------------------------------------*/
#cacheMenuVert {
	padding-top: 2px;
	margin-left: 2px;
}

/* -------------------------------------------------------------------
	CSS pour les debugs
------------------------------------------------------------------- */
div.MysqlDebug {
	background: #F0E8D8;
	margin: 10px 10px 10px 10px;
	padding: 0px 5px 5px 5px;
}

.MysqlRequete,.MysqlDebug {
	background: #D4C5DB;
	border: 2px black ridge;
	padding: 2px 2px 2px 2px;
}

.MysqlDebug {
	border-collapse: collapse;
	border: 1px black solid;
}

.MysqlDebug th {
	background: #88AB81;
}

.MysqlDebug th,.MysqlDebug td {
	border: 1px black solid;
}

.MysqlDebug .infoDebug {
	text-align: right;
	color: #6E6B64;
}
.TestDebug pre{
	line-height: 15px;
	margin: 0;
	padding: 0;
}
.TestDebug{
	width: 850px;
	padding: 5px;
	margin-bottom: 5px;
	border-radius: 5px;
	border: grey 1px solid;
}
.TestDebug a{
	text-decoration:none;
}
.TestDebug h1{
	margin: 0;
	padding: 0;
	padding-bottom:5px;
	border-bottom: black 1px solid;

}
/* Permet de ne pas avoir une margin left dans le cas d'un affichage popup */
.simplemodal-content #part_center_contenu {
	margin-left: 5px;
}
/* N'affiche pas la croix close dans les Dialog jQuery */
.no-close .ui-dialog-titlebar-close {
display: none;
}

.mesactions {
	font-weight: bold;
	font-size: 15px;
	font-family: tahoma;
	text-decoration: none;
	color: #555;
	display:inline-block;
}

.blink_me {
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% { opacity: 0; }
}

/*
-------------------------------------------------------------------
 */

.fixed-header {
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	margin-left: 245px;

	/* Add the blur effect */
	/*-webkit-backdrop-filter: blur(8px);
	backdrop-filter: blur(8px);*/
}

.fixed-header-small {
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	margin-left: 55px;
}

.fixed-header-all {
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	margin-left: 1px;
}

nav {
	postion: fixed;
	/*z-index: 10;*/
}


.tooltip .tooltiptext {
	visibility: hidden;
	width: 160px;
	background-color: black;
	color: #fff;
	text-align: center;
	border-radius: 6px;
	padding: 5px 0;
	margin-top: 50px;
	margin-left: -5%;

	/* Position the tooltip */
	position: absolute;
	z-index: 2;
}

.tooltip:hover .tooltiptext {
	visibility: visible;
}

.formContenu {
	flex: 1;
	overflow-y: auto;
	min-height: 0px;
}

.ongletContenu {
	flex: 1;
	overflow-y: auto;
	min-height: 0px;
}

/*=================================*/
/*==  	  	 Checkboxes 		 ==*/
/*=================================*/

input[type="checkbox"] {
	-webkit-appearance:none;/* Hides the default checkbox style */
	top: 3px;
	width: 14px;
	height: 14px;
	cursor:pointer;
	position:relative;
	-webkit-transition: .5s;
	border-radius: 3px;
	background: rgb(239, 239, 239);
	border: #199EE0 1px solid;
	box-shadow: inset 0 1px 3px rgba(0,0,0,.3);
}

input[type="checkbox"]:checked {
	background-color: #1aa3e7;
}

input[type="checkbox"]:not(:checked) {
	border: #199EE0 1px solid;
}

input[type="checkbox"]:before, input[type="checkbox"]:checked:before {
	position:absolute;
	top:-1.5px;
	left:0;
	width:100%;
	height:100%;
	line-height:15px;
	text-align:center;
	content: '';
}

input[type="checkbox"]:not(:disabled):before {
	top:0px;
	color: #fff;
}

input[type="checkbox"]:checked:before {
	content: '✔';
}

input[type="checkbox"]:hover:before {
	background:rgba(255,255,255,0.3);
}

input[type="checkbox"]:disabled {
	font-weight: bold;
	background-color: rgb(255, 255, 255);
	color: #a4a4a4;
	border: #ffffff 1px solid;
}

/*=====================================*/
/*==  	  	 slide Checkboxes 		 ==*/
/*=====================================*/

.slideCheckbox {
	margin:5px !important;
	position:relative !important;
	width:20px !important;
	height:6px !important;
	-webkit-appearance: none !important;
	background: linear-gradient(0deg, #ffffff, #ffffff) !important;
	outline: none !important;
	border-radius: 20px !important;
	box-shadow: 0 0 0 1px #ffffff, 0 0 0 2px #3e3e3e, inset 0 0 10px rgb(255, 255, 255) !important;
	border: #000000 0px solid !important;
}

.slideCheckbox:before {
	content:'' !important;
	position:absolute !important;
	top:0px !important;
	left:0px !important;
	width:10px !important;
	height:6px !important;
	background: linear-gradient(0deg, #cb0a09, #f80b09) !important;
	border-radius: 20px !important;
	transition:.5s !important;
}

.slideCheckbox:checked:before {
	top:0px !important;
	left:10px !important;
	background: linear-gradient(0deg, #489c86, #3ce2c7) !important;
}

/*=================================*/
/*==  	  	 buttons radio		 ==*/
/*=================================*/

input[type="radio"] {
	-webkit-appearance:none;/* Hides the default Radio style */
	top: 3px;
	width: 14.5px;
	height: 14.5px;
	cursor: pointer;
	position:relative;
	-webkit-transition: .5s;
	border-radius: 50%;
	background: rgb(239, 239, 239);
	border: #199EE0 1px solid;
	box-shadow: inset 0 1px 3px rgba(0,0,0,.3);
}


input[type="radio"]:before, input[type="radio"]:checked:before {
	 position:absolute;
	justify-content: center;
	 width:100%;
	 height:100%;
	 line-height:13px;
	 text-align:center;
	 content: '';
	font-size: 8px;
 }

input[type="radio"]:not(:disabled):before {
	color: #199EE0;
}

input[type="radio"]:checked:not(:disabled):before {
	background-image: radial-gradient(circle at center, #198bc6, #199EE0 2px, #EFEFEF 6px, transparent 0%);

}

input[type="radio"]:hover:before {
	/*background:rgba(255,255,255,0.3);*/
}

input[type="radio"]:disabled {
	background-color: rgb(255, 255, 255);
	color: #a4a4a4;
	border: rgb(255, 255, 255) 1px solid;
}

input[type="radio"]:disabled:checked {
	background-image: radial-gradient(circle at center, #a4a4a4, #656565 0px, #EFEFEF 3px, transparent 0%);
}

.specialRadioBox:checked:before {
	top: 0.0px;
}

/*=================================*/
/*==  	  	 Drag and Drop		 ==*/
/*=================================*/


.dragAndDrop{
	border: 2px dashed #999;
	margin-left: 150px;
	margin-right: 150px;
	margin-top: 10px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

.dropMessage{
	font: 21pt bold tahoma;
	font-family: tahoma;
	color: #89898c;
}

/*=================================*/
/*==  	  	 Scrollbar 			 ==*/
/*=================================*/
/* width */
::-webkit-scrollbar {
	width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
	box-shadow: inset 0 0 5px grey;
	border-radius: 10px;
	background-color: #F5F5F5;
}

/* Handle */
::-webkit-scrollbar-thumb {
	background: darkgrey;
	border-radius: 10px;
	border: solid 6px transparent;
}


/*=================================*/
/*==  	  	custom-file-input	 ==*/
/*=================================*/

.upload-btn-wrapper {
	position: relative;
	overflow: hidden;
	display: inline-block;
}

.custom-file-input {
	background: #199EE0;
	padding: 5px 9px 7px 9px;
	margin-top: 0px;
	margin-left: 3px;
	margin-right: 1px;
	text-align: center;
	font-weight: normal;
	font-size: 10pt;
	color : white;
	border:0px solid transparent;
	border-radius : 3px 3px 3px 3px;
	font-family:	'Segoe UI Regular WestEuropean','Segoe UI','Segoe WP',Tahoma,Arial,sans-serif;
}

.upload-btn-wrapper input[type=file] {
	font-size: 100px;
	position: absolute;
	left: 0;
	top: 0;
	opacity: 0;
}